diff -x '*~' -ur dirac-0.5.2/configure.ac dirac-0.5.2-doc/configure.ac
--- dirac-0.5.2/configure.ac	2005-05-20 15:05:25.000000000 +0200
+++ dirac-0.5.2-doc/configure.ac	2005-06-10 03:31:58.683588784 +0200
@@ -105,28 +105,37 @@
 dnl -----------------------------------------------
 dnl Checks for optional programs.
 dnl -----------------------------------------------
-AC_CHECK_PROG(HAVE_DOXYGEN, doxygen, true, false)
-	if test $HAVE_DOXYGEN = "false"; then
-		AC_MSG_WARN([*** doxygen not found, code documentation will not be built])
-	fi
-AM_CONDITIONAL(HAVE_DOXYGEN, $HAVE_DOXYGEN)
+AC_ARG_ENABLE(doc, AC_HELP_STRING([--enable-doc], [enables doc building (no)]), [enabledoc=${enableval}], [enabledoc=no])
 
-AC_CHECK_PROG(HAVE_DOT, dot, true, false)
-	if test $HAVE_DOT = "false"; then
-		AC_MSG_WARN([*** dot not found, inheritance diagrams will not be generated in code documentation])
+if test "x$enabledoc" != "xno"; then
+	AC_CHECK_PROG(HAVE_DOXYGEN, doxygen, true, false)
+		if test $HAVE_DOXYGEN = "false"; then
+			AC_MSG_WARN([*** doxygen not found, code documentation will not be built])
+		fi
+	
+	AC_CHECK_PROG(HAVE_DOT, dot, true, false)
+		if test $HAVE_DOT = "false"; then
+			AC_MSG_WARN([*** dot not found, inheritance diagrams will not be generated in code documentation])
+		fi
+	
+	AC_CHECK_PROG(HAVE_LATEX, latex, true, false)
+		if test $HAVE_LATEX = "false"; then
+			AC_MSG_WARN([*** latex not found, algorithm documentation will not be built])
+		fi
+	
+	AC_CHECK_PROG(HAVE_DVIPDFM, dvipdfm, true, false)
+		if test $HAVE_DVIPDFM = "false"; then
+		AC_MSG_WARN([*** dvipdfm not found, programmer documentation will not be built])
 	fi
+else
+HAVE_DOXYGEN=false
+HAVE_DOT=false
+HAVE_LATEX=false
+HAVE_DVIPDFM=false
+fi
+AM_CONDITIONAL(HAVE_DOXYGEN, $HAVE_DOXYGEN)
 AM_CONDITIONAL(HAVE_DOT, $HAVE_DOT)
-
-AC_CHECK_PROG(HAVE_LATEX, latex, true, false)
-	if test $HAVE_LATEX = "false"; then
-		AC_MSG_WARN([*** latex not found, algorithm documentation will not be built])
-	fi
 AM_CONDITIONAL(HAVE_LATEX, $HAVE_LATEX)
-
-AC_CHECK_PROG(HAVE_DVIPDFM, dvipdfm, true, false)
-	if test $HAVE_DVIPDFM = "false"; then
-	    AC_MSG_WARN([*** dvipdfm not found, programmer documentation will not be built])
-    fi
 AM_CONDITIONAL(HAVE_DVIPDFM, $HAVE_DVIPDFM)
 
 AC_ARG_ENABLE(overlay,
